# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeSurfaceOfRevolution Class Reference

This class implements the mapping between class
SurfaceOfRevolution from StepGeom which describes a
surface_of_revolution from Prostep and SurfaceOfRevolution
from Geom
.

`#include <StepToGeom_MakeSurfaceOfRevolution.hxx>`

Inheritance diagram for StepToGeom_MakeSurfaceOfRevolution:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeSurfaceOfRevolution (const Handle(StepGeom_SurfaceOfRevolution)&RevSurf)
Standard_EXPORT const Handle_Geom_SurfaceOfRevolution & | Value () const

## Private Attributes

Handle_Geom_SurfaceOfRevolution | theSurfaceOfRevolution

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeSurfaceOfRevolution::StepToGeom_MakeSurfaceOfRevolution | ( | const Handle(StepGeom_SurfaceOfRevolution)& | RevSurf | ) |

## Member Function Documentation

void StepToGeom_MakeSurfaceOfRevolution::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeSurfaceOfRevolution::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeSurfaceOfRevolution::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_SurfaceOfRevolution& StepToGeom_MakeSurfaceOfRevolution::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_SurfaceOfRevolution StepToGeom_MakeSurfaceOfRevolution::theSurfaceOfRevolution `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeSurfaceOfRevolution.hxx